import { ITextInputIconProps, ITextInputInputProps, ITextInputRootProps } from './types';
declare function TextInputRoot({ children }: ITextInputRootProps): JSX.Element;
declare namespace TextInputRoot {
    var displayName: string;
}
declare function TextInputIcon({ children }: ITextInputIconProps): JSX.Element;
declare namespace TextInputIcon {
    var displayName: string;
}
declare function TextInputInput({ ...props }: ITextInputInputProps): JSX.Element;
declare namespace TextInputInput {
    var displayName: string;
}
export declare const TextInput: {
    Root: typeof TextInputRoot;
    Input: typeof TextInputInput;
    Icon: typeof TextInputIcon;
};
export {};
